Generation Framework

## org.eclipse.gmf.mappings.impl
Class MappingEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.MappingEntryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, MappingEntry

Direct Known Subclasses:
  LinkMappingImpl, NodeMappingImpl

    public abstract class MappingEntryImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements MappingEntry

An implementation of the model object 'Entry'.

The following features are implemented:

- `Domain Meta Element`
- `Domain Specialization`
- `Domain Initializer`
- `Label Mappings`
- `Related Diagrams`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected ElementInitializer` `domainInitializer` The cached value of the '`Domain Initializer`' containment reference
`protected org.eclipse.emf.ecore.EClass` `domainMetaElement` The cached value of the '`Domain Meta Element`' reference
`protected Constraint` `domainSpecialization` The cached value of the '`Domain Specialization`' containment reference
`protected org.eclipse.emf.common.util.EList<LabelMapping>` `labelMappings` The cached value of the '`Label Mappings`' containment reference list
`protected org.eclipse.emf.common.util.EList<CanvasMapping>` `relatedDiagrams` The cached value of the '`Related Diagrams`' reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `MappingEntryImpl()`

Method Summary
`org.eclipse.emf.ecore.EClass` `basicGetDomainMetaElement()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDomainInitializer(ElementInitializer newDomainInitializer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDomainSpecialization(Constraint newDomainSpecialization, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`abstract org.eclipse.emf.ecore.EClass` `getDomainContext()`
`ElementInitializer` `getDomainInitializer()`
`org.eclipse.emf.ecore.EClass` `getDomainMetaElement()`
`Constraint` `getDomainSpecialization()`
`org.eclipse.emf.common.util.EList<LabelMapping>` `getLabelMappings()`
`org.eclipse.emf.common.util.EList<CanvasMapping>` `getRelatedDiagrams()`
`void` `setDomainInitializer(ElementInitializer newDomainInitializer)`
`void` `setDomainMetaElement(org.eclipse.emf.ecore.EClass newDomainMetaElement)`
`void` `setDomainSpecialization(Constraint newDomainSpecialization)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### domainMetaElement

    protected org.eclipse.emf.ecore.EClass domainMetaElement

  The cached value of the '`Domain Meta Element`' reference.

  See Also:
    `getDomainMetaElement()`
  ** Generated **
  Ordered:

### domainSpecialization

    protected Constraint domainSpecialization

  The cached value of the '`Domain Specialization`' containment reference.

  See Also:
    `getDomainSpecialization()`
  ** Generated **
  Ordered:

### domainInitializer

    protected ElementInitializer domainInitializer

  The cached value of the '`Domain Initializer`' containment reference.

  See Also:
    `getDomainInitializer()`
  ** Generated **
  Ordered:

### labelMappings

    protected org.eclipse.emf.common.util.EList<LabelMapping> labelMappings

  The cached value of the '`Label Mappings`' containment reference list.

  See Also:
    `getLabelMappings()`
  ** Generated **
  Ordered:

### relatedDiagrams

    protected org.eclipse.emf.common.util.EList<CanvasMapping> relatedDiagrams

  The cached value of the '`Related Diagrams`' reference list.

  See Also:
    `getRelatedDiagrams()`
  ** Generated **
  Ordered:

Constructor Detail

### MappingEntryImpl

    protected MappingEntryImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getDomainMetaElement

    public org.eclipse.emf.ecore.EClass getDomainMetaElement()

  Specified by:
    `getDomainMetaElement` in interface `MappingEntry`
  Returns:
    the value of the 'Domain Meta Element' reference.
  See Also:
    `MappingEntry.setDomainMetaElement(EClass)`, `GMFMapPackage.getMappingEntry_DomainMetaElement()`
  ** Generated **

### basicGetDomainMetaElement

    public org.eclipse.emf.ecore.EClass basicGetDomainMetaElement()

  ** Generated **

### setDomainMetaElement

    public void setDomainMetaElement(org.eclipse.emf.ecore.EClass newDomainMetaElement)

  Specified by:
    `setDomainMetaElement` in interface `MappingEntry`
  Parameters:
    `newDomainMetaElement` - the new value of the 'Domain Meta Element' reference.
  See Also:
    `MappingEntry.getDomainMetaElement()`
  ** Generated **

### getDomainSpecialization

    public Constraint getDomainSpecialization()

  Specified by:
    `getDomainSpecialization` in interface `MappingEntry`
  Returns:
    the value of the 'Domain Specialization' containment reference.
  See Also:
    `MappingEntry.setDomainSpecialization(Constraint)`, `GMFMapPackage.getMappingEntry_DomainSpecialization()`
  ** Generated **

### basicSetDomainSpecialization

    public org.eclipse.emf.common.notify.NotificationChain basicSetDomainSpecialization(Constraint newDomainSpecialization,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setDomainSpecialization

    public void setDomainSpecialization(Constraint newDomainSpecialization)

  Specified by:
    `setDomainSpecialization` in interface `MappingEntry`
  Parameters:
    `newDomainSpecialization` - the new value of the 'Domain Specialization' containment reference.
  See Also:
    `MappingEntry.getDomainSpecialization()`
  ** Generated **

### getDomainInitializer

    public ElementInitializer getDomainInitializer()

  Specified by:
    `getDomainInitializer` in interface `MappingEntry`
  Returns:
    the value of the 'Domain Initializer' containment reference.
  See Also:
    `MappingEntry.setDomainInitializer(ElementInitializer)`, `GMFMapPackage.getMappingEntry_DomainInitializer()`
  ** Generated **

### basicSetDomainInitializer

    public org.eclipse.emf.common.notify.NotificationChain basicSetDomainInitializer(ElementInitializer newDomainInitializer,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setDomainInitializer

    public void setDomainInitializer(ElementInitializer newDomainInitializer)

  Specified by:
    `setDomainInitializer` in interface `MappingEntry`
  Parameters:
    `newDomainInitializer` - the new value of the 'Domain Initializer' containment reference.
  See Also:
    `MappingEntry.getDomainInitializer()`
  ** Generated **

### getLabelMappings

    public org.eclipse.emf.common.util.EList<LabelMapping> getLabelMappings()

  Specified by:
    `getLabelMappings` in interface `MappingEntry`
  Returns:
    the value of the 'Label Mappings' containment reference list.
  See Also:
    `GMFMapPackage.getMappingEntry_LabelMappings()`, `LabelMapping.getMapEntry()`
  ** Generated **

### getRelatedDiagrams

    public org.eclipse.emf.common.util.EList<CanvasMapping> getRelatedDiagrams()

  Specified by:
    `getRelatedDiagrams` in interface `MappingEntry`
  Returns:
    the value of the 'Related Diagrams' reference list.
  See Also:
    `GMFMapPackage.getMappingEntry_RelatedDiagrams()`
  ** Generated **

### getDomainContext

    public abstract org.eclipse.emf.ecore.EClass getDomainContext()

  Specified by:
    `getDomainContext` in interface `MappingEntry`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.